using System.Collections.Generic;
using GameMessage;
using System.Linq;

namespace GameFix.Poker
{
    public static class CardStyleHelper 
    {
        public static CardStyleInfo CreateCardStyleInfo(int cardStyle,List<Card> cards)
        {
            CardStyleInfo cardStyleInfo = new CardStyleInfo();
            cardStyleInfo.CardStyle = cardStyle;
            cardStyleInfo.CardValue = cards.First().Value;
            cardStyleInfo.CardCnt = cards.Count;
            return cardStyleInfo;
        }

        public static CardStyleInfoExtend CreateCardStyleInfoExtend(int cardStyle, List<Card> cards)
        {
            CardStyleInfoExtend cardStyleInfo = new CardStyleInfoExtend();
            cardStyleInfo.CardStyle = cardStyle;
            cardStyleInfo.CardValue = cards.First().Value;
            cardStyleInfo.CardCnt = cards.Count;
            cardStyleInfo.SetCardId(cards.First().Id);
            return cardStyleInfo;
        }

    }

}

